<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="customer-logos">
    <div class="customer-logos__companies slp-flex">
      <SlpTypography
        v-if="data.text"
        tag="h2"
        variant="heading5"
        class="slp-my-24 customer-logos__trusted-by"
        >{{ data.text }}</SlpTypography
      >
      <a
        v-for="company in data.showcased_enterprises"
        :key="company.alt"
        :href="company.url"
        :data-ga-name="company.alt"
        v-bind="{ id: company.id ? company.id : null }"
        data-ga-location="body"
        :aria-label="company.link_label ? company.link_label : null"
      >
        <img
          class="customer-logos__company-icon"
          :src="company.image_url"
          :alt="company.alt ? company.alt : 'company logo'"
          loading="lazy"
        />
      </a>
    </div>
  </section>
</template>

<style lang="scss" scoped>
.customer-logos {
  margin-top: $spacing-64;
  margin-bottom: $spacing-64;

  &__companies {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    position: relative;

    a {
      width: 140px;
      margin: $spacing-8;

      @media (max-width: $breakpoint-md) {
        min-width: 140px;
      }

      &-icon {
        max-width: 100%;
      }

      img {
        width: 100%;
      }

      &#deutsche-telekom {
        text-align: center;
        img {
          width: 61px !important;
          text-align: center;
        }
      }
    }

    &-icon:hover {
      transform: scale(1.05);
      transition: all 0.2s ease-in-out;
    }
  }

  // These breakpoints are set assuming we will keep six images at a width of 140px
  @media (min-width: 499px) and (max-width: 959px) {
    &__companies::after {
      content: '';
      flex: auto;
    }
  }

  @media (max-width: $breakpoint-md) {
    margin-top: -48px;
    margin-bottom: $spacing-48;

    &__trusted-by {
      width: 100%;
      text-align: center;
      margin-top: $spacing-96;
    }

    &__companies {
      a {
        width: 100px;
      }
    }
  }
}
</style>
